package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Refferere_report;
import com.realnet.vpspack.Services.Refferere_reportService ;






@RequestMapping(value = "/Refferere_report")
 @CrossOrigin("*") 
@RestController
public class Refferere_reportController {
	@Autowired
	private Refferere_reportService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Refferere_report")
		  public Refferere_report Savedata(@RequestBody Refferere_report data) {
		Refferere_report save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Refferere_report/{id}")
	public  Refferere_report update(@RequestBody Refferere_report data,@PathVariable Integer id ) {
		Refferere_report update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Refferere_report/getall/page")
	public Page<Refferere_report> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Refferere_report> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Refferere_report")
	public List<Refferere_report> getdetails() {
		 List<Refferere_report> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Refferere_report")
	public List<Refferere_report> getallwioutsec() {
		 List<Refferere_report> get = Service.getdetails();		
		return get;
}
@GetMapping("/Refferere_report/{id}")
	public  Refferere_report  getdetailsbyId(@PathVariable Integer id ) {
		Refferere_report  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Refferere_report/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}